; compiler          : jal 00.04-50
; date              : 12-Mar-2004 01:08:26
; main source       : 5-phase_final
; command line      : 5-phase_final.jal 
; target  chip      : 16f84
;         cpu       : pic 14
;         clock     : 4000000
; input   files     : 4
;         lines     : 1200
;         chars     : 32384
; compilation nodes : 9381
;             stack : 25Kb
;              heap : 3090Kb
;           seconds : 0.495 (2426 lines/second)
; output       code :  275
;              page :    0 (0.0%)
;              bank :    0 (0.0%)
;         page+bank :    0 (0.0%)
;              file :    8
;              stack:    1 (1,0,0)

 errorlevel -306
 list p=PIC16f84

_CP_OFF    equ H'3FF0' ;code protect on
_CP_ON     equ H'0000' ;code protect off
_PWRTE_ON  equ H'0000' ;Power on timer on
_PWRTE_OFF equ H'0008' ;Power on timer off
_WDT_OFF   equ H'0000' ;watch dog timer off
_WDT_ON    equ H'0004' ;watch dog timer on
_RC_OSC    equ H'0003' ;RC oscillator
_HS_OSC    equ H'0002' ;HS crystal oscillator
_XT_OSC    equ H'0001' ;XT crystal oscillator
_LP_OSC    equ H'0000' ;LP crystal oscillator

 __CONFIG _CP_OFF + _PWRTE_ON + _WDT_OFF + _XT_OSC 

 ORG 0000
  goto    __main
 ORG 0004
 ORG 0004
__interrupt: ; 0004
__main: ; 0004
; var H'00C:000'  transfer_bit
; var H'00D:000'  transfer_byte

;; 043 : var volatile byte port_b       at  6
; var H'006:000' port_b

;; 093 : var volatile bit  pin_b0 at port_b : 0
; var H'006:000' pin_b0

;; 094 : var volatile bit  pin_b1 at port_b : 1
; var H'006:001' pin_b1

;; 095 : var volatile bit  pin_b2 at port_b : 2
; var H'006:002' pin_b2

;; 096 : var volatile bit  pin_b3 at port_b : 3
; var H'006:003' pin_b3

;; 097 : var volatile bit  pin_b4 at port_b : 4
; var H'006:004' pin_b4

;; 098 : var volatile bit  pin_b5 at port_b : 5
; var H'006:005' pin_b5

;; 099 : var volatile bit  pin_b6 at port_b : 6
; var H'006:006' pin_b6

;; 100 : var volatile bit  pin_b7 at port_b : 7
; var H'006:007' pin_b7

;; 276 : var byte trisa
; var H'00E:000' trisa

;; 277 : var byte trisb
; var H'00F:000' trisb

;; 284 : trisa = all_input
  movlw   H'FF'
  movwf   H'0E'

;; 286 :    trisb = all_input
  movlw   H'FF'
  movwf   H'0F'

;; 580 : var byte _port_a_buffer
; var H'010:000' _port_a_buffer

;; 581 : var byte _port_b_buffer
; var H'011:000' _port_b_buffer

;; 022 : port_a_direction = all_output 
  movlw   H'00'
  call    _2894__vector

;; 023 : pin_b0_direction = output 
  bcf     H'0F',0
  call    _3343__vector

;; 024 : pin_b1_direction = output
  bcf     H'0F',1
  call    _3372__vector

;; 025 : pin_b2_direction = output 
  bcf     H'0F',2
  call    _3401__vector

;; 026 : pin_b3_direction = output 
  bcf     H'0F',3
  call    _3430__vector

;; 027 : pin_b4_direction = output 
  bcf     H'0F',4
  call    _3459__vector

;; 028 : pin_b5_direction = input 
  bsf     H'0F',5
  call    _3488__vector

;; 029 : pin_b6_direction = input 
  bsf     H'0F',6
  call    _3517__vector

;; 030 : pin_b7_direction = input 
  bsf     H'0F',7
  call    _3546__vector

;; 137 : var byte steps  = 0b_01101   -- StepTab[0] := 13; { binary 01101 }
; var H'012:000' steps
  movlw   H'0D'
  movwf   H'12'

;; 138 : var bit state_prev = high    -- Step pulse logic-hi
; var H'00C:001' state_prev
  bsf     H'0C',1

;; 140 : forever loop
w_8227_ag: ; 001D

;; 143 :    if pin_b7 then
  btfss   H'06',7
  goto    if_8096_by
if_8096_th: ; 001F

;; 144 :          run_stepper(0b_00000)            -- Stepper motor Disable (cutt off power)
  movlw   H'00'
  call    _7679__vector

;; 145 :          pin_a0 = pin_b0
  bcf     H'10',0
  btfsc   H'06',0
ass_8393_t: ; 0023
  bsf     H'10',0
ass_8393_f: ; 0024
  call    _5910__vector

;; 146 :          pin_a1 = pin_b1
  bcf     H'10',1
  btfsc   H'06',1
ass_8399_t: ; 0027
  bsf     H'10',1
ass_8399_f: ; 0028
  call    _5939__vector

;; 147 :          pin_a2 = pin_b2
  bcf     H'10',2
  btfsc   H'06',2
ass_8405_t: ; 002B
  bsf     H'10',2
ass_8405_f: ; 002C
  call    _5968__vector

;; 148 :          pin_a3 = pin_b3
  bcf     H'10',3
  btfsc   H'06',3
ass_8411_t: ; 002F
  bsf     H'10',3
ass_8411_f: ; 0030
  call    _5997__vector

;; 149 :          pin_a4 = pin_b4
  bcf     H'10',4
  btfsc   H'06',4
ass_8417_t: ; 0033
  bsf     H'10',4
ass_8417_f: ; 0034
  call    _6026__vector
if_8096_by: ; 0035

;; 151 :    if ! pin_b7 then                       -- Stepper Enable (lo-logic)
  btfsc   H'06',7
  goto    if_8133_by
if_8133_th: ; 0037

;; 152 :       if (! pin_b5) & state_prev then     -- Step pulse detect (lo-logic)
  btfsc   H'06',5
  goto    if_8137_by
e_8140: ; 0039
  btfss   H'0C',1
  goto    if_8137_by
if_8137_th: ; 003B

;; 153 :          state_prev = low
  bcf     H'0C',1

;; 154 :          if pin_b6 then                   -- Direction forward (hi-logic)
  btfss   H'06',6
  goto    if_8148_by
if_8148_th: ; 003E

;; 155 :             stepper_motor_forward( steps )
  movf    H'12',w
  call    _7702__vector
  movf    H'13',w
  movwf   H'12'
if_8148_by: ; 0042

;; 157 :          if ! pin_b6 then                 -- Direction backward (lo-logic)
  btfsc   H'06',6
  goto    if_8166_by
if_8166_th: ; 0044

;; 158 :             stepper_motor_backward( steps )
  movf    H'12',w
  call    _7889__vector
  movf    H'13',w
  movwf   H'12'
if_8166_by: ; 0048

;; 160 :          run_stepper( steps )
  movf    H'12',w
  call    _7679__vector

;; 164 :          pin_a0 = pin_b0
  bcf     H'10',0
  btfsc   H'06',0
ass_8423_t: ; 004C
  bsf     H'10',0
ass_8423_f: ; 004D
  call    _5910__vector

;; 165 :          pin_a1 = pin_b1
  bcf     H'10',1
  btfsc   H'06',1
ass_8429_t: ; 0050
  bsf     H'10',1
ass_8429_f: ; 0051
  call    _5939__vector

;; 166 :          pin_a2 = pin_b2
  bcf     H'10',2
  btfsc   H'06',2
ass_8435_t: ; 0054
  bsf     H'10',2
ass_8435_f: ; 0055
  call    _5968__vector

;; 167 :          pin_a3 = pin_b3
  bcf     H'10',3
  btfsc   H'06',3
ass_8441_t: ; 0058
  bsf     H'10',3
ass_8441_f: ; 0059
  call    _5997__vector

;; 168 :          pin_a4 = pin_b4
  bcf     H'10',4
  btfsc   H'06',4
ass_8447_t: ; 005C
  bsf     H'10',4
ass_8447_f: ; 005D
  call    _6026__vector
if_8137_by: ; 005E

;; 170 :       if pin_b5 then state_prev = high    -- Clear step pulse (1 cycle pulse)
  btfsc   H'06',5
if_8217_th: ; 005F
  bsf     H'0C',1
if_8217_by: ; 0060
if_8133_by: ; 0060
  goto    w_8227_ag

;; 003 :   idle_loop: page goto idle_loop
as_8230_idle_loop: ; 0061
  goto    as_8230_idle_loop
_7889__vector: ; 0062

;; 091 : procedure stepper_motor_backward( byte in out x ) is
; var H'013:000' x
p_7889_stepper_motor_backward: ; 0062
  movwf   H'13'

;; 092 :    x = x & 0b_11111
  movlw   H'1F'
  andwf   H'13',f

;; 093 :    if x == 0b_00101 then     -- StepTab[9] := 5;  { binary 00101 }
  movf    H'13',w
  sublw   H'05'
  btfss   H'03',2
  goto    if_7911_by
if_7911_th: ; 0069

;; 094 :       x = 0b_10101
  movlw   H'15'
  movwf   H'13'

;; 096 :    end if
  goto    e_7889_stepper_motor_backward
if_7911_by: ; 006C

;; 097 :    if x == 0b_10101 then     -- StepTab[8] := 21; { binary 10101 }
  movf    H'13',w
  sublw   H'15'
  btfss   H'03',2
  goto    if_7927_by
if_7927_th: ; 0070

;; 098 :       x = 0b_10100
  movlw   H'14'
  movwf   H'13'

;; 100 :    end if
  goto    e_7889_stepper_motor_backward
if_7927_by: ; 0073

;; 101 :    if x == 0b_10100 then     -- StepTab[7] := 20; { binary 10100 }
  movf    H'13',w
  sublw   H'14'
  btfss   H'03',2
  goto    if_7943_by
if_7943_th: ; 0077

;; 102 :       x = 0b_10110
  movlw   H'16'
  movwf   H'13'

;; 104 :    end if
  goto    e_7889_stepper_motor_backward
if_7943_by: ; 007A

;; 105 :    if x == 0b_10110 then     -- StepTab[6] := 22; { binary 10110 }
  movf    H'13',w
  sublw   H'16'
  btfss   H'03',2
  goto    if_7959_by
if_7959_th: ; 007E

;; 106 :       x = 0b_10010
  movlw   H'12'
  movwf   H'13'

;; 108 :    end if
  goto    e_7889_stepper_motor_backward
if_7959_by: ; 0081

;; 109 :    if x == 0b_10010 then     -- StepTab[5] := 18; { binary 10010 }
  movf    H'13',w
  sublw   H'12'
  btfss   H'03',2
  goto    if_7975_by
if_7975_th: ; 0085

;; 110 :       x = 0b_11010
  movlw   H'1A'
  movwf   H'13'

;; 112 :    end if
  goto    e_7889_stepper_motor_backward
if_7975_by: ; 0088

;; 113 :    if x == 0b_11010 then     -- StepTab[4] := 26; { binary 11010 }
  movf    H'13',w
  sublw   H'1A'
  btfss   H'03',2
  goto    if_7991_by
if_7991_th: ; 008C

;; 114 :       x = 0b_01010
  movlw   H'0A'
  movwf   H'13'

;; 116 :    end if
  goto    e_7889_stepper_motor_backward
if_7991_by: ; 008F

;; 117 :    if x == 0b_01010 then     -- StepTab[3] := 10; { binary 01010 }
  movf    H'13',w
  sublw   H'0A'
  btfss   H'03',2
  goto    if_8007_by
if_8007_th: ; 0093

;; 118 :       x = 0b_01011
  movlw   H'0B'
  movwf   H'13'

;; 120 :    end if
  goto    e_7889_stepper_motor_backward
if_8007_by: ; 0096

;; 121 :    if x == 0b_01011 then     -- StepTab[2] := 11; { binary 01011 }
  movf    H'13',w
  sublw   H'0B'
  btfss   H'03',2
  goto    if_8023_by
if_8023_th: ; 009A

;; 122 :       x = 0b_01001
  movlw   H'09'
  movwf   H'13'

;; 124 :    end if
  goto    e_7889_stepper_motor_backward
if_8023_by: ; 009D

;; 125 :    if x == 0b_01001 then     -- StepTab[1] := 9;  { binary 01001 }
  movf    H'13',w
  sublw   H'09'
  btfss   H'03',2
  goto    if_8039_by
if_8039_th: ; 00A1

;; 126 :       x = 0b_01101
  movlw   H'0D'
  movwf   H'13'

;; 128 :    end if
  goto    e_7889_stepper_motor_backward
if_8039_by: ; 00A4

;; 129 :    if x == 0b_01101 then     -- StepTab[0] := 13; { binary 01101 }
  movf    H'13',w
  sublw   H'0D'
  btfss   H'03',2
  goto    if_8055_by
if_8055_th: ; 00A8

;; 130 :       x = 0b_00101           -- StepTab[9] := 5;  { binary 00101 }
  movlw   H'05'
  movwf   H'13'

;; 132 :    end if
  goto    e_7889_stepper_motor_backward
if_8055_by: ; 00AB
e_7889_stepper_motor_backward: ; 00AB
  return  
_7702__vector: ; 00AC

;; 047 : procedure stepper_motor_forward( byte in out x ) is
; var H'013:000' x
p_7702_stepper_motor_forward: ; 00AC
  movwf   H'13'

;; 048 :    x = x & 0b_11111
  movlw   H'1F'
  andwf   H'13',f

;; 049 :    if x == 0b_01101 then     -- StepTab[0] := 13; { binary 01101 }
  movf    H'13',w
  sublw   H'0D'
  btfss   H'03',2
  goto    if_7724_by
if_7724_th: ; 00B3

;; 050 :       x = 0b_01001
  movlw   H'09'
  movwf   H'13'

;; 052 :    end if
  goto    e_7702_stepper_motor_forward
if_7724_by: ; 00B6

;; 053 :    if x == 0b_01001 then     -- StepTab[1] := 9;  { binary 01001 }
  movf    H'13',w
  sublw   H'09'
  btfss   H'03',2
  goto    if_7740_by
if_7740_th: ; 00BA

;; 054 :       x = 0b_01011
  movlw   H'0B'
  movwf   H'13'

;; 056 :    end if
  goto    e_7702_stepper_motor_forward
if_7740_by: ; 00BD

;; 057 :    if x == 0b_01011 then     -- StepTab[2] := 11; { binary 01011 }
  movf    H'13',w
  sublw   H'0B'
  btfss   H'03',2
  goto    if_7756_by
if_7756_th: ; 00C1

;; 058 :       x = 0b_01010
  movlw   H'0A'
  movwf   H'13'

;; 060 :    end if
  goto    e_7702_stepper_motor_forward
if_7756_by: ; 00C4

;; 061 :    if x == 0b_01010 then     -- StepTab[3] := 10; { binary 01010 }
  movf    H'13',w
  sublw   H'0A'
  btfss   H'03',2
  goto    if_7772_by
if_7772_th: ; 00C8

;; 062 :       x = 0b_11010
  movlw   H'1A'
  movwf   H'13'

;; 064 :    end if
  goto    e_7702_stepper_motor_forward
if_7772_by: ; 00CB

;; 065 :    if x == 0b_11010 then     -- StepTab[4] := 26; { binary 11010 }
  movf    H'13',w
  sublw   H'1A'
  btfss   H'03',2
  goto    if_7788_by
if_7788_th: ; 00CF

;; 066 :       x = 0b_10010
  movlw   H'12'
  movwf   H'13'

;; 068 :    end if
  goto    e_7702_stepper_motor_forward
if_7788_by: ; 00D2

;; 069 :    if x == 0b_10010 then     -- StepTab[5] := 18; { binary 10010 }
  movf    H'13',w
  sublw   H'12'
  btfss   H'03',2
  goto    if_7804_by
if_7804_th: ; 00D6

;; 070 :       x = 0b_10110
  movlw   H'16'
  movwf   H'13'

;; 072 :    end if
  goto    e_7702_stepper_motor_forward
if_7804_by: ; 00D9

;; 073 :    if x == 0b_10110 then     -- StepTab[6] := 22; { binary 10110 }
  movf    H'13',w
  sublw   H'16'
  btfss   H'03',2
  goto    if_7820_by
if_7820_th: ; 00DD

;; 074 :       x = 0b_10100
  movlw   H'14'
  movwf   H'13'

;; 076 :    end if
  goto    e_7702_stepper_motor_forward
if_7820_by: ; 00E0

;; 077 :    if x == 0b_10100 then     -- StepTab[7] := 20; { binary 10100 }
  movf    H'13',w
  sublw   H'14'
  btfss   H'03',2
  goto    if_7836_by
if_7836_th: ; 00E4

;; 078 :       x = 0b_10101
  movlw   H'15'
  movwf   H'13'

;; 080 :    end if
  goto    e_7702_stepper_motor_forward
if_7836_by: ; 00E7

;; 081 :    if x == 0b_10101 then     -- StepTab[8] := 21; { binary 10101 }
  movf    H'13',w
  sublw   H'15'
  btfss   H'03',2
  goto    if_7852_by
if_7852_th: ; 00EB

;; 082 :       x = 0b_00101
  movlw   H'05'
  movwf   H'13'

;; 084 :    end if
  goto    e_7702_stepper_motor_forward
if_7852_by: ; 00EE

;; 085 :    if x == 0b_00101 then     -- StepTab[9] := 5;  { binary 00101 }
  movf    H'13',w
  sublw   H'05'
  btfss   H'03',2
  goto    if_7868_by
if_7868_th: ; 00F2

;; 086 :       x = 0b_01101           -- StepTab[0] := 13; { binary 01101 }
  movlw   H'0D'
  movwf   H'13'

;; 088 :    end if
  goto    e_7702_stepper_motor_forward
if_7868_by: ; 00F5
e_7702_stepper_motor_forward: ; 00F5
  return  
_7679__vector: ; 00F6

;; 042 : procedure run_stepper( byte in a ) is
; var H'013:000' a
p_7679_run_stepper: ; 00F6
  movwf   H'13'

;; 043 :    port_b = a
  movf    H'13',w
  goto    _5202__vector
e_7679_run_stepper: ; 00F9

;; 694 : procedure pin_a4'put( bit in x at _port_a_buffer : 4 ) is
p_6026__pin_a4__put_t: ; 00F9
_6026__vector: ; 00F9
; var H'010:004' x
p_6026_put: ; 00F9

;; 695 :    _port_a_flush
  goto    _5056__vector
e_6026_put: ; 00FA

;; 691 : procedure pin_a3'put( bit in x at _port_a_buffer : 3 ) is
p_5997__pin_a3__put_t: ; 00FA
_5997__vector: ; 00FA
; var H'010:003' x
p_5997_put: ; 00FA

;; 692 :    _port_a_flush
  goto    _5056__vector
e_5997_put: ; 00FB

;; 688 : procedure pin_a2'put( bit in x at _port_a_buffer : 2 ) is
p_5968__pin_a2__put_t: ; 00FB
_5968__vector: ; 00FB
; var H'010:002' x
p_5968_put: ; 00FB

;; 689 :    _port_a_flush
  goto    _5056__vector
e_5968_put: ; 00FC

;; 685 : procedure pin_a1'put( bit in x at _port_a_buffer : 1 ) is
p_5939__pin_a1__put_t: ; 00FC
_5939__vector: ; 00FC
; var H'010:001' x
p_5939_put: ; 00FC

;; 686 :    _port_a_flush
  goto    _5056__vector
e_5939_put: ; 00FD

;; 682 : procedure pin_a0'put( bit in x at _port_a_buffer : 0 ) is
p_5910__pin_a0__put_t: ; 00FD
_5910__vector: ; 00FD
; var H'010:000' x
p_5910_put: ; 00FD

;; 683 :    _port_a_flush
  goto    _5056__vector
e_5910_put: ; 00FE

;; 605 : procedure port_b'put( byte in x at _port_b_buffer ) is
p_5202__port_b__put_t: ; 00FE
_5202__vector: ; 00FE
; var H'011:000' x
p_5202_put: ; 00FE
  movwf   H'11'

;; 606 :    _port_b_flush
  goto    _5079__vector
e_5202_put: ; 0100
_5079__vector: ; 0100
p_5079__port_b_flush: ; 0100

;; 590 :    var volatile byte port_b at 6 = _port_b_buffer
; var H'006:000' port_b
  movf    H'11',w
  movwf   H'06'
e_5079__port_b_flush: ; 0102
  return  
_5056__vector: ; 0103
p_5056__port_a_flush: ; 0103

;; 587 :    var volatile byte port_a at 5 = _port_a_buffer
; var H'005:000' port_a
  movf    H'10',w
  movwf   H'05'
e_5056__port_a_flush: ; 0105
  return  

;; 410 : procedure pin_b7_direction'put( bit in d at trisb : 7 ) is
p_3546__pin_b7_direction__put_t: ; 0106
_3546__vector: ; 0106
; var H'00F:007' d
p_3546_put: ; 0106

;; 411 :    _trisb_flush
  goto    _2785__vector
e_3546_put: ; 0107

;; 407 : procedure pin_b6_direction'put( bit in d at trisb : 6 ) is
p_3517__pin_b6_direction__put_t: ; 0107
_3517__vector: ; 0107
; var H'00F:006' d
p_3517_put: ; 0107

;; 408 :    _trisb_flush
  goto    _2785__vector
e_3517_put: ; 0108

;; 404 : procedure pin_b5_direction'put( bit in d at trisb : 5 ) is
p_3488__pin_b5_direction__put_t: ; 0108
_3488__vector: ; 0108
; var H'00F:005' d
p_3488_put: ; 0108

;; 405 :    _trisb_flush
  goto    _2785__vector
e_3488_put: ; 0109

;; 401 : procedure pin_b4_direction'put( bit in d at trisb : 4 ) is
p_3459__pin_b4_direction__put_t: ; 0109
_3459__vector: ; 0109
; var H'00F:004' d
p_3459_put: ; 0109

;; 402 :    _trisb_flush
  goto    _2785__vector
e_3459_put: ; 010A

;; 398 : procedure pin_b3_direction'put( bit in d at trisb : 3 ) is
p_3430__pin_b3_direction__put_t: ; 010A
_3430__vector: ; 010A
; var H'00F:003' d
p_3430_put: ; 010A

;; 399 :    _trisb_flush
  goto    _2785__vector
e_3430_put: ; 010B

;; 395 : procedure pin_b2_direction'put( bit in d at trisb : 2 ) is
p_3401__pin_b2_direction__put_t: ; 010B
_3401__vector: ; 010B
; var H'00F:002' d
p_3401_put: ; 010B

;; 396 :    _trisb_flush
  goto    _2785__vector
e_3401_put: ; 010C

;; 392 : procedure pin_b1_direction'put( bit in d at trisb : 1 ) is
p_3372__pin_b1_direction__put_t: ; 010C
_3372__vector: ; 010C
; var H'00F:001' d
p_3372_put: ; 010C

;; 393 :    _trisb_flush
  goto    _2785__vector
e_3372_put: ; 010D

;; 389 : procedure pin_b0_direction'put( bit in d at trisb : 0 ) is
p_3343__pin_b0_direction__put_t: ; 010D
_3343__vector: ; 010D
; var H'00F:000' d
p_3343_put: ; 010D

;; 390 :    _trisb_flush
  goto    _2785__vector
e_3343_put: ; 010E

;; 332 : procedure port_a_direction'put( byte in x at trisa ) is
p_2894__port_a_direction__put_t: ; 010E
_2894__vector: ; 010E
; var H'00E:000' x
p_2894_put: ; 010E
  movwf   H'0E'

;; 333 :    _trisa_flush
  goto    _2764__vector
e_2894_put: ; 0110
_2785__vector: ; 0110
p_2785__trisb_flush: ; 0110

;; 305 :       bank movfw trisb
  movf    H'0F',w

;; 306 :            tris  6
  tris    H'06'
e_2785__trisb_flush: ; 0112
  return  
_2764__vector: ; 0113
p_2764__trisa_flush: ; 0113

;; 298 :       bank movfw trisa
  movf    H'0E',w

;; 299 :            tris  5
  tris    H'05'
e_2764__trisa_flush: ; 0115
  return  

 END

; ********** variable mapping
; 05:0 : ;
;   port_a                         * 0587:22 jpic.jal 
; 06:0 : ;
;   port_b                         * 0590:22 jpic.jal 
;   pin_b0                         * 0093:19 jpic.jal 
;   port_b                         * 0043:19 jpic.jal 
; 06:1 : ;
;   pin_b1                         * 0094:19 jpic.jal 
; 06:2 : ;
;   pin_b2                         * 0095:19 jpic.jal 
; 06:3 : ;
;   pin_b3                         * 0096:19 jpic.jal 
; 06:4 : ;
;   pin_b4                         * 0097:19 jpic.jal 
; 06:5 : ;
;   pin_b5                         * 0098:19 jpic.jal 
; 06:6 : ;
;   pin_b6                         * 0099:19 jpic.jal 
; 06:7 : ;
;   pin_b7                         * 0100:19 jpic.jal 
; 0C:0 : ;
;    transfer_bit                    
; 0C:1 : ;
;   state_prev                       0138:09 5-phase_final.jal 
; 0D:0 : ;
;    transfer_byte                   
; 0E:0 : ;
;   x                              * 0332:33 jpic.jal 
;   trisa                            0276:10 jpic.jal 
; 0F:0 : ;
;   d                              * 0389:33 jpic.jal 
;   trisb                            0277:10 jpic.jal 
; 0F:1 : ;
;   d                              * 0392:33 jpic.jal 
; 0F:2 : ;
;   d                              * 0395:33 jpic.jal 
; 0F:3 : ;
;   d                              * 0398:33 jpic.jal 
; 0F:4 : ;
;   d                              * 0401:33 jpic.jal 
; 0F:5 : ;
;   d                              * 0404:33 jpic.jal 
; 0F:6 : ;
;   d                              * 0407:33 jpic.jal 
; 0F:7 : ;
;   d                              * 0410:33 jpic.jal 
; 10:0 : ;
;   x                              * 0682:23 jpic.jal 
;   _port_a_buffer                   0580:10 jpic.jal 
; 10:1 : ;
;   x                              * 0685:23 jpic.jal 
; 10:2 : ;
;   x                              * 0688:23 jpic.jal 
; 10:3 : ;
;   x                              * 0691:23 jpic.jal 
; 10:4 : ;
;   x                              * 0694:23 jpic.jal 
; 11:0 : ;
;   x                              * 0605:23 jpic.jal 
;   _port_b_buffer                   0581:10 jpic.jal 
; 12:0 : ;
;   steps                            0137:10 5-phase_final.jal 
; 13:0 : ;
;   a                                0042:24 5-phase_final.jal 
;   x                                0047:34 5-phase_final.jal 
;   x                                0091:35 5-phase_final.jal 

